import React, { useState, useEffect } from "react";
import { makeStyles } from "@material-ui/core/styles";
import {
  Container,
  Grid,
  Paper,
  Card,
  Typography,
  Fab,
} from "@material-ui/core";

import ButtonCheckIn from "./ButtonCheckIn";

const HomeView = (props) => {
  const [state, setState] = useState({
    latitude: null,
    longitude: null,
  });
  const [status, setStatus] = useState(0);
  const getPosition = () => {
    navigator.geolocation.getCurrentPosition((position) => {
      console.log(position.coords.longitude);
      console.log(position.coords.latitude);
    });
    if (status == 0) {
      setStatus(1);
    } else {
      setStatus(0);
    }
  };
  useEffect(() => {
    getPosition();
  }, []);
  return (
    <Container fixed style={{ height: "100vh" }}>
      <div style={{ marginTop: 50 }} />
      <div style={{ textAlign: "center", fontSize: "35px" }}>
        Tên: Lê Trọng Trí
      </div>
      <br />
      <Grid container style={{ height: "100vh", justifyContent: "center" }}>
        <Fab
          color="secondary"
          aria-label="edit"
          style={{ width: "20vw", height: "20vw" }}
          onClick={getPosition}
        >
          <span style={{ fontSize: "3vw" }}>
            {status == 0 ? "Checkin" : "Checkout"}
          </span>
        </Fab>
      </Grid>
    </Container>
  );
};

export default HomeView;
