import { BrowserRouter, Switch, Route, Link } from "react-router-dom";
import { useHistory, Redirect } from "react-router-dom";
import React, { useEffect, useState } from "react";
import LoginScreen from "./Login/LoginScreen";
import HomeScreen from "./Home/HomeContainer";

const RootView = () => {
  let history = useHistory();
  return (
    <BrowserRouter>
      <Switch>
        <Route exact path="/">
          <LoginScreen />
        </Route>
        <Route path="/home">
          <HomeScreen />
        </Route>
      </Switch>
    </BrowserRouter>
  );
};

export default RootView;
